import React from 'react';

// 内库使用-start
import LocaleUtil from "./../../../../utils/LocaleUtil";
// 内库使用-end

/* 测试使用-start
import { LocaleUtil } from 'seedsui-react'
测试使用-start */

// 折叠控件
function Toggle() {
  return /*#__PURE__*/React.createElement("div", {
    className: "map-nearbyControl-toggle",
    onClick: function onClick(e) {
      var _e$currentTarget;
      (_e$currentTarget = e.currentTarget) === null || _e$currentTarget === void 0 || (_e$currentTarget = _e$currentTarget.closest('.map-nearbyControl')) === null || _e$currentTarget === void 0 || (_e$currentTarget = _e$currentTarget.classList) === null || _e$currentTarget === void 0 || _e$currentTarget.toggle('active');
    }
  }, /*#__PURE__*/React.createElement("span", {
    className: "map-nearbyControl-toggle-label"
  }, LocaleUtil.locale('附近推荐', 'SeedsUI_nearby_recommendation')), /*#__PURE__*/React.createElement("i", {
    className: "map-nearbyControl-toggle-arrow"
  }));
}
export default Toggle;